Bug 1956367 - Review Request: rust-asn1 - ASN.1 (DER) parser and writer for Rust
Summary: Review Request: rust-asn1 - ASN.1 (DER) parser and writer for Rust
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Heimes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1956365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-03 14:35 UTC by Christian Heimes
Modified: 2021-05-08 12:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github alex rust-asn1 issues 132 0 None open rust-asn1 fails to build on platforms other than X86_64 2021-05-08 12:23:11 UTC

Description Christian Heimes 2021-05-03 14:35:11 UTC
Spec URL: https://cheimes.fedorapeople.org/rust/rust-asn1.spec
SRPM URL: https://cheimes.fedorapeople.org/rust/rust-asn1-0.4.1-1.fc35.src.rpm
Description: This is a Rust library for parsing and generating ASN.1 data (DER only).
Fedora Account System Username: cheimes

rust-asn1 is a new dependency for next release of PyCA cryptography. The package depends on rust-asn1_derive (rhbz#1956365).

Comment 1 Fabio Valentini 2021-05-06 21:01:51 UTC
Taking on this review.

Comment 2 Fabio Valentini 2021-05-06 21:12:19 UTC
Package is generated with rust2rpm, which simplifies the review:

- package builds and installs without errors on rawhide
- latest version is packaged
- License tag matches license specified by upstream
- conforms to Rust packaging Guidelines

One remaining issue:
The crate source tarball contains a LICENSE file that should be installed with "%license LICENSE" in "%files devel".
Please fix this before importing the package to Fedora.

Package APPROVED (with this minor caveat and FIXME).

Comment 3 Gwyn Ciesla 2021-05-07 15:46:33 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-asn1

Comment 4 Christian Heimes 2021-05-08 12:23:15 UTC
rust-asn1 fails to build on all platforms except X86_64. I have reported the problem upstream, https://github.com/alex/rust-asn1/issues/132


Note You need to log in before you can comment on or make changes to this bug.